## update-manager 0.45

=== debian/changelog ===
update-manager (0.45) edgy; urgency=low

  * debian/control:
    - added dependency on python-gconf
    - removed recommends on python-gnome2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:32:17 +0200

update-manager (0.44.17) edgy; urgency=low

  * memory leak fixed (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 15:24:40 +0200

update-manager (0.44.16) edgy; urgency=low

  * fix proxy usage when runing in non-root mode (lp: #40626)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 15:17:37 +0200

update-manager (0.44.15) edgy; urgency=low

  * added missing python-vte dependency (lp: #63609)
  * added missing gksu dependency (lp: #63572)
  * don't remove xchat automatically anymore on upgrade (leftover
    from breezy->dapper) (lp: #63881)
  * do not come up with bogus dist-upgrade suggestions
  * fix bad english grammar (lp: #63761, #63474)
  * fix in the edgyUpdates quirks handler (lp: #63723)
  * catch error from _tryMarkObsoleteForRemoval() (lp: #63617)
  * fix plural forms for ro, pl (lp: #46421)
  * properly escape comments before displaying them (lp: #63475)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 21:10:40 +0200

update-manager (0.44.14) edgy; urgency=low

  * fix some incorrect i18n markings (lp: #62681)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 14:41:52 +0200

update-manager (0.44.13) edgy; urgency=low

  * fix missing i18n declarations (lp: #62519)
  * data/glade/SoftwareProperties.glade:
    - fix missing "translatable" property (lp: #62681)
  * DistUpgrade:
    - deal better with the python transition and the hpijs 
      upgrade (lp: #62948)
  * UpdateManager/UpdateManager.py:
    - put the cancel button inside the text-area to avoid flickering
    - make sure that src_ver is always initialized (thanks to
      Simira for reporting)
    - filter python-apt future warning (especially for seb128)
  * DistUprade/DistUpgradeControler.py:
    - check for self.sources, self.aptcdrom before using it (lp: #61852)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 23 Sep 2006 00:53:06 +0200

update-manager (0.44.12) edgy; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - use '%d' instead of '%s' where appropriate (lp: #60239)
  * fixed lots of typos (lp: #60633)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 16:37:52 +0200

update-manager (0.44.11) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix error in get_changelog (lp: #59940).
      Thanks to Denis Washington
    - bugfix in the ListStore
    - use the update-manager desktop file when runing synaptic
      as the backend to get a consistent UI
    - UI improvements (thanks to Sebastian Heinlein!)
    - remove branding

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Sep 2006 20:37:55 +0200

update-manager (0.44.10) edgy; urgency=low

  * aptsources.py:
    - fix add_component() to avoid duplicated components
    - added MirrorsFile key to DistInfo code to have a better idea
      about the available mirrors
  * debian/control:
    - updated dbus dependencies (lp: #59862)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 09:38:21 +0200

update-manager (0.44.9) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - bugfix in the popcon enable code (lp: #59540)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat,  9 Sep 2006 02:13:40 +0200

update-manager (0.44.8) edgy; urgency=low

  * fix missing /var/log/dist-upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 20:33:04 +0200

update-manager (0.44.7) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - be more accurate about dependencies when the user selects only
      a supset of the packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Sep 2006 12:29:05 +0200

update-manager (0.44.6) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - fix inconsistency in the new software-sources dialog
  * integrate DistUpgrade code into UpdateManager to make sure
    that after e.g. a CDROM upgrade the rest of the system can still
    be fully upgraded over the net

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  5 Sep 2006 13:30:22 +0200

update-manager (0.44.5) edgy; urgency=low

  * install the DistUpgrade package too
  * data/channels/Ubuntu.info.in:
    - warty is no longer officially supported 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Aug 2006 11:32:24 +0200

update-manager (0.44.4) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - don't bomb when searching for the mirror (lp: #57015)
  * UpdateManager/UpdateManager.py:
    - added "%s-proposed" to the list of known origins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Aug 2006 13:00:23 +0200

update-manager (0.44.3) edgy; urgency=low

  * help/C/update-manager-C.omf:
    - fix url (thanks to daniel holbach, lp: #45548)
  * show the units better
  * don't jump around on row activation 
    (thanks to Sebastian Heinlein)
  * send "inhibit sleep" to power-manager while applying 
    updates  (lp #40697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 18:06:53 +0200

update-manager (0.44.2) edgy; urgency=low

  * added select all/unselect all (thanks to Sebastian Heinlein)
  * wording fixes
  * fix update counting bug 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 17:52:09 +0200

update-manager (0.44.1) edgy; urgency=low

  * make UpdateManager check for new distribution releases by
    default again
  * fix dist-upgrade fetching when run as non-root. 
  * sort the package list by the origin (UpdateManagerEdgy spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 Aug 2006 13:00:42 +0200

update-manager (0.44) edgy; urgency=low

  * new SoftwareProperties GUI (thanks to Sebastian Heinlein)
  * support easy Popcon pariticipation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Jul 2006 01:06:16 +0200

update-manager (0.43) edgy; urgency=low

