=== debian/changelog ===
update-manager (0.45.2) edgy-updates; urgency=low

  * uploaded to edgy-updates after sru-verification by
    Brian Murray

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 19:38:52 +0100

update-manager (0.45.1) edgy-proposed; urgency=low

  * UpdateManager/DistUpgradeFetcher.py:
    - work even without ~/.gnupg dir (lp: #78673)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Jan 2007 12:36:18 +0100
