## update-manager 0.59.20

=== debian/changelog ===
update-manager (1:0.59.20) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - do not crash in utf8() if the str is already unicode 
      (LP#106863)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Apr 2007 19:07:04 +0200

update-manager (1:0.59.19) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable apt-listchanges in the kde frontend too
    - fix broken terminal interaction (LP#106367)
    - ensure that there is only a single konsole widget 
      visible (LP#106541)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 14 Apr 2007 23:27:48 +0200

update-manager (1:0.59.18) feisty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix i18n initialization (LP#106221)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix encoding in dialog_error (LP#106221)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2007 16:32:33 +0200

update-manager (1:0.59.17) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix crash in on_window_main_delete_event() (LP#104701)
  * DistUpgrade/apt-autoinst-fixup.py:
    - set mdadm to manually installed (LP#105663)
  * DistUpgrade/DistUpgradeControler.py:
    - add python symlink sanity check (LP#75557)
  * DistUpgrade/ReleaseAnnouncement:
    - prepare for the final version
  * po/
    - updated to the latest translations from rosetta
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2007 11:22:01 +0200

update-manager (1:0.59.16) feisty; urgency=low

  * set useDevelopmentRelease=False in the self updater on 
    the CD (LP#99171)
  * fix another issue with a unresponsive GUI
  * work around upgrade issue with pango-libthai (LP#104384)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  8 Apr 2007 12:35:00 +0200

update-manager (1:0.59.15) feisty; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - keep the GUI alive while calculating the obsolete
      packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Apr 2007 22:40:58 +0200

update-manager (1:0.59.14) feisty; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - fix sources.list rewriting for people with internal or
      unofficial mirrors (LP#73463)
  * DistUpgrade/DistUpgradeCache.py:
    - workaround apache2/php5 upgrade failures (LP#95325)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  3 Apr 2007 16:08:58 +0200

update-manager (1:0.59.13) feisty; urgency=low

  * po/POTFILES.in:
    - reomove [type: ] this confused intltool
  * DistUpgradeControler.py:
    - work around problem with kde tempfile extraction 
      (LP#99380)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 11:46:40 +0200

update-manager (1:0.59.12) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - set debian frontend to "kde"
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash when uname -r can't be parsed (LP#97663)
    - remove the nfs upgrade question again, the kernel team
      fixed the regression
  * DistUpgrade/DistUpgradeApport.py:
    - do not crash if no apport gui is available (LP#97498)
  * DistUpgrade/DistUpgradeViewText.py:
    - support details in text-mode (LP#94129)
  * DistUpgrade/DistUpgradeControler.py:
    - fix incorrect auto-installed information from meta-pkgs 
      (LP#86921)
    - rewrite /etc/fstab cdrom entries (LP#86424,#79327)
    - fix upgrade for people with no admin group (LP#93279)
    - when encountering a error, first show the error dialog,
      then run the recover (LP#92366)
  * dist-upgrade.py:
    - support fallback when a frontend view can not be imported
      (LP#89568)
    - log the version of the upgrader as well
  * DistUpgrade/mirrors.cfg:
    - updated with the current mirror RSS feed from LP

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Mar 2007 20:53:17 +0200

update-manager (1:0.59.11) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in mediaChange (LP#96849)
  * DistUpgrade/DistUpgradeViewText.py:
    - fix crash on broken packages (LP#96444)
  * DistUpgrade/DistUpgradeCache.py:
    - ensure that the latest kernel is always selected (LP#96196)
    - added nfs-common check in feistyQuirks and ask to install
      it if it appears to be missing
  * DistUpgrade/DistUpgradeControler.py:
    - add any additional sanity check at the start of the upgrade
      to check if the base distro is supported

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2007 22:48:54 +0200

update-manager (1:0.59.10) feisty; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - i18n KDE frontend fixes, LP#95638, LP#94927
    - set text on confirm dialogue buttons
    - (re)spawn embedded konsole for each fork, 
      fixes crash when removing packages
    - Add on_window_main_delete_event, stops the user closing the window

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 23:56:31 +0100

update-manager (1:0.59.9) feisty; urgency=low

  [Sebastian Heinlein]
  * Hide help button - the outdated documentation is confusing (LP#44944)
  [Michael Vogt]
  * Use .update-manager-core dir
  * Fix bug in writable check for /var/lib/update-manager (LP#95599)
  * Ensure that /var/lib/update-manager is available
  * inhibit sleep when runing the release upgrader(LP#70058)
  * make sure that we do not run with a interactive debconf frontend 
    on server upgrade (for packages like quagga)
  * fix race condition in free space checking (LP#96482), thanks
    to Jane Silber for reporting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Mar 2007 11:29:00 +0200

update-manager (1:0.59.8) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in error dialog (LP#94229)
    - i18n KDE frontend
  * DistUpgrade/DistUpgradeCache.py:
    - mention xubuntu-desktop too (LP#94443)
  * DistUpgrade/DistUpgradeCache.py:
    - fix in the logfile handling in server mode
  * DistUpgrade/DistUpgrade.cfg:
    - fix KeyDependency for xubuntu detection

