## update-manager 0.59.25

=== debian/changelog ===
update-manager (1:0.59.25) feisty-proposed; urgency=low

  * fix missing imports (LP: #141060)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 20:51:23 +0100

update-manager (1:0.59.24) feisty-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix target filename for meta-release files so that 
      correct I-M-S information is used (LP: #127263)
    - remove zero size meta-release files (LP: #127263)
  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Sep 2007 15:04:10 +0200

update-manager (1:0.59.23) feisty-proposed; urgency=low

  * debian/rules:
    - Add missing dh_gconf. This makes the automatic checking for
      new releases work again (LP#114569)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 May 2007 10:22:58 +0200

update-manager (1:0.59.22) feisty-proposed; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - use correct progressbar object in cdrom progress code
      and fix error in percent calculation (LP#107451)
  * DistUpgrade/DistUpgradeView.py:
    - send correct package failure information to logfile (LP#109209)
  * DistUpgrade/crashdialog.ui
    - Fix bug report URL in crash dialogue (LP#108969)
  * UpdateManager/Core/MetaRelease.py:
    - re-use the unchanged meta-release file information on I-M-S 304
      http response (LP#109216)
  * DistUpgrade/DistUpgradeCache.py:
    - check RemovalBlacklist early when removing a package to
      work-around crash in problem resolver (LP#109014)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Apr 2007 12:59:59 +0200

update-manager (1:0.59.21) feisty-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - send pragma: no-cache (LP#107716)
    - fix bug in time representation for i-m-s (LP#107716)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2007 10:43:08 +0200
