## update-manager 0.59.26

=== debian/changelog ===
update-manager (1:0.59.26) feisty-proposed; urgency=low

  * support old-releases.ubuntu.com (LP: #241431) to make 
    the transition from edgy to feisty work

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jun 2008 22:50:35 +0200
