=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra, python-apt (>= 0.6.20ubuntu12), lsb-release
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.7.2

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.6.16.2),  lsb-release,  python-gnupginterface
Replaces: update-manager (<< 0.56)
Conflicts: update-manager (<< 0.56)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.
