=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	dh_testdir
 	dh_testroot
 	dh_install
+	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
