## update-manager 0.81

=== debian/changelog ===
update-manager (1:0.81) gutsy; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
   - Add word wrap to quesiton dialogue
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeControler.py:
    - make the commercial archive transition more robust
    - when forcing the evms removal, ensure that all 
      evms rdepends get obsoleted so that the safety checks
      in the upgrader do not kick in and prevent the removal
    - when calculating the size required in /boot take into account
      that installed initramfs images create a .bak file
  * updated list of demoted packages
  * updated ReleaseAnnouncement to include final text
  * updated demotions and mirrors to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2007 19:08:34 +0200

update-manager (1:0.80) gutsy; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - enable transition to gutsy partner repository on 
      upgrade now that we have a archive
    - workaround kde tempdir handling (LP: #149186)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2007 20:11:32 +0200

update-manager (1:0.79) gutsy; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - do not log apts debug output to the user in server
      upgrade mode
    - when running in partial upgrade mode, do not run apport,
      this is handled by the libapt apport integration now, 
      (LP:#139394)
  * DistUpgrade/DistUpgradeCache.py,DistUpgradeControler.py:  
    - detect and workaround upgrade issues with envy
  * update-manager:
    - show version with --version (LP: #137353)
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash with invalid utf-8 in polish locale (LP: #145351)
  * UpdateManager/UpdateManager.py:
    - remove debug output (LP: #145494)
  * DistUpgrade/DistUpgradeControler.py:
    - fix lock detection (LP: #145463)
  * UpdateManager/Common/utils.py:
    - show "0 KB" download size if there is nothing to download 
      (LP: #145308)
  * DistUpgrade/demoted.cfg, utils/demotions.py:
    - do not display demotions if they are replaced by something that is
      in main (e.g. gaim->pidgin, LP: #145767)
  * DistUpgrade/ReleaseAnnouncement:
    - update for the beta release
  * DistUpgrade/DistUpgradeControler.py:
    - fix typo in pre-requists (thanks to Stuart Bishop)
  * debian/control:
    - tighten update-manager depend on update-manager-core
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - move country_mirror code into Core (LP: #145116)
  * UpdateManager/Core/MetaReleaseCore.py, 
    tests/interactive_fetch-release_upgrader.py:
    - fix test failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2007 15:32:12 +0200

update-manager (1:0.78) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - Fix button in conffile dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 23:09:35 +0100

update-manager (1:0.77) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in conffile dialogue setup

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 14:22:55 +0100

update-manager (1:0.76) gutsy; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - ensure that the util-linux -> nfs-common transition
      happens (LP: #141559)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - copy Xauthority file if necessary

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Sep 2007 19:49:17 +0200

update-manager (1:0.75) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - work around broken vte forkpty() env add
  * DistUpgrade/DistUpgradeControler.py:
    - fix type of installed_demotions from apt.Package to pkgname
      (LP: #144417)
  * po/*.po:
    - updated from latest launchpad translations
  * UpdateManager/DistUpgradeFetcherCore.py:
    - fix missing command line propergation when run as non-root
      (LP: #144451)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Sep 2007 10:52:16 +0200

update-manager (1:0.74) gutsy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - ensure that users with the "lowlatency" kernel get 
      transitioned correctly to a new kernel (LP: #129458)
  * DistUpgrade/DistUpgradeControler.py:
    - work around kde being too clever in tempdirs (LP: #139319)
  * po/POTFILES.in:
    - add missing files (LP: #141033)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 23:15:39 +0100

update-manager (1:0.73) gutsy; urgency=low

  * UpdateManager/UpdateManager.py:
    - display new installs in the list
  * UpdateManager/Common/utils.py:
    - fix countrymirror to deal with non-utf8 locales (LP: #138299)
  * tests/test_update_origin.py:
    - added test for this country_mirror()
  * DistUpgrade/DistUpgradeControler.py:
    - check trust of pre-requists files before downloading them
    - support pre-requists on the CD as well
    - preserve the logs on self update from the net
  * DistUpgrade/build-tarball.sh:
    - fix auto-generation of target distro in cdromupgrade 
      script (LP:#138354) 
  * data/update-manager.8:
    - new manpage (thanks to  Bruno Mangin, LP: #107015)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Sep 2007 15:42:34 +0200

update-manager (1:0.72) gutsy; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix target filename for meta-release files so that 
      correct I-M-S information is used
  * DistUpgrade/DistUpgrade.cfg:
    - use "release-upgrader-dpkg", "release-upgrader-apt" as
      update-pre-requists to fully support dpkg triggers (LP: #134000)
    - add mythubuntu-desktop to the valid metapackages
  * DistUpgrade/DistUpgradeControler.py:
    - fix pre-requists fetching, do not run the resolver as the udebss
      are not installable on a regular system
    - generate more log information to make diagnosing problems easier
    - setup RELEASE_UPGRADE_IN_PROGRESS environemnt
    - use custom invoke-rc.d during the upgrade so that failures to
      restart a daemon are not fatal

