=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra, python-apt (>= 0.6.20ubuntu12), lsb-release
+Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 
@@ -21,7 +21,7 @@
 Package: update-manager
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
+Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${Source-Version}), python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
 Description: GNOME application that manages apt updates
  This is the GNOME apt update manager. It checks for updates and lets the user
  choose which to install.
