## update-manager 0.81.3

=== debian/changelog ===
update-manager (1:0.81.3) gutsy-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - honor APT::Get::AllowUnauthenticated setting and do not
      abort the upgrade if it is set (LP: #195419)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Feb 2008 12:36:45 +0000

update-manager (1:0.81.2) gutsy-proposed; urgency=low

  * add ports.ubuntu.com to the list of valid mirros to ensure
    that ia64/hppa upgrade properly
  * fix incorrect prerequists sources.list name
    (LP: #172609)
  * write apt.log information in server mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Dec 2007 14:45:36 +0100

update-manager (1:0.81.1) gutsy-proposed; urgency=low

  * Fix PreRequists fetching for ia64 and hppa (LP: #172609)
    Thanks to Lamont Jones for reporting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Nov 2007 15:57:15 +0100
