=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,10 @@
 	dh_testdir
 	dh_testroot
 	dh_install
+	dh_scrollkeeper
+	dh_installmime
+	dh_desktop
+	dh_iconcache
 	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
@@ -77,6 +81,9 @@
 	# update the demotions
 	(cd utils && ./demotions.py)
 	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
+	# run the test-suit
+	echo "Runing integrated tests"
+	(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
 	# build it
