=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	dh_scrollkeeper
 	dh_installmime
 	dh_desktop
-	dh_iconcache
+	dh_icons
 	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
@@ -79,10 +79,11 @@
 
 arch-build: 
 	# update the demotions
-	(cd utils && ./demotions.py)
+	(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
+	(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
 	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
 	# run the test-suit
-	echo "Runing integrated tests"
+	echo "Running integrated tests"
 	(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
