=== debian/changelog ===
update-manager (1:0.87.30) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - work around problem with packages with no priority
      (LP: #253255)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jul 2008 14:41:06 +0200

update-manager (1:0.87.29) hardy-proposed; urgency=low

  * fix sparc upgrades prerequisites fetching (LP: #239458)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jun 2008 22:10:03 +0200

update-manager (1:0.87.28) hardy-proposed; urgency=low

  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * add extra paraonoia when adding a missing admin group
    (thanks to LaMont Jones) LP: #241723
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2008 12:25:11 +0200

update-manager (1:0.87.27) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - make networkless upgrades more robust (LP: #227197)
  * po/ko.po:
    - fix translation for y/n prompt so that korean users
      can actually continue (LP: #223419)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - work around hang in svg loader (LP: #186465)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 May 2008 13:47:12 +0200

update-manager (1:0.87.26) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - run in server mode on a server CD (LP: #222895)
    - deal with the landscape.canonical.com repository
      (LP: #224308)
  * DistUpgrade/DistUpradeCache.py:
    - make the code more robust against unavailable
      package records (LP: #223619)
  * DistUpgrade/cdromupgrade:
    - allow passing of arguments (like --mode=server)
      to better support server upgrades with the dvd
      (LP: #222895)
  * po/uk.po:
    - fix translation so that it gets the expected 
      number of arguments (LP: #224294)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2008 22:15:44 +0200

update-manager (1:0.87.25) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeApport.py:
    - fix typo in log dir (LP: #223743)
  * DistUpgrade/DistUpgradeController.py:
    - if the "Crux" theme is used on dapper during the upgrade, 
      switch to "Human" because Crux is known to crash 
      (LP: #69124)
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash if a meta package is not available in 
      the cache (e.g. xubuntu-desktop that moved from main 
      to universe)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - fix incorrect xubuntu-desktop detection
  * DistUpgrade/DistUpgradeView.py:
    - make sure that self.confirmChangesMessage is always 
      initialized (LP: #221023)
  * DistUpgrade/mirrors.cfg:
    - added missing russion mirror (LP: #221730)
    - fixed incorrect mirror lines
  * DistUpgrade/DistUpgrade.cfg:
    - better detection to missing dependencies to fix
      ubuntustudio-desktop upgrade problem (LP: #219659)
  * util/demotions.py:
    - do not consider powerpc anymore, its not available on
      archive.ubuntu.com anymore
  * debian/rules:
    - do not run tests in arch-build target (only useful
      when there is a development release available to upgrade to)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Apr 2008 12:49:16 +0200
