=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
+XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
 
 Package: update-manager-core
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.6.16.2),  lsb-release,  python-gnupginterface
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades
