=== debian/rules ===
--- 
+++ 
@@ -79,12 +79,12 @@
 
 arch-build: 
 	# update the demotions
-	(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
-	(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
-	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
+	#(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
+	#(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
+	#(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
 	# run the test-suit
-	echo "Running integrated tests"
-	(cd tests && for test in *.py; do python $$test; done)
+	#echo "Running integrated tests"
+	#(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
 	# build it
