## update-manager 0.87.30netbook0belmont1

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont1) hardy; urgency=low

  * Merge new Ubuntu version
  * Reimplement custom upgrade repo URL change as a patch
    (15_custom_repo.patch)
  * Remove 12_update_belmont_pos.patch temporarily (must be
    regenerated)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 03 Sep 2008 19:35:09 -0400

update-manager (1:0.87.27netbook0belmont3) hardy; urgency=low

  * Modify URL to point at custom upgrade repo

 -- Michael Frey <michael.frey@canonical.com>  Thu, 07 Aug 2008 12:00:09 -0400

update-manager (1:0.87.27netbook0belmont2) hardy; urgency=low

  * Update belmont pos: de, es, fr, hu, it, ja, pl, pt_BR, ru, zh_CN, zh_TW 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 06 Aug 2008 13:44:30 +0000

update-manager (1:0.87.27netbook0belmont1) hardy; urgency=low

  * debian/rules:
    - Add support for simplepatchsys
  * Convert previous belmont UI changes to a patch: 10_netbook_ui.patch
    - Simplify the UI for use with netbooks
    - Change the title that is displayed when updates have been found
  * Modify 10_netbook_ui.patch to add back the "Check" button to the
    main window, and move the "Close" button back to the lower right
    corner per GNOME HIG.x

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 04 Aug 2008 17:56:27 -0400
