## update-manager 0.87.30netbook0belmont2

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont2) hardy; urgency=low

  * Reapply po updates post sync and remove fuzzy for de es fr hu it ja pl pt_BR
    ru zh_CN zh_TW

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 04 Sep 2008 19:13:02 +0000
