## update-manager 0.87.30netbook0belmont3

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3) hardy; urgency=low

  * Added dell-mini.list to point to new repo
  * Modified debian/control to depend on canonical-oem-keyring

 -- Michael Frey <michael.frey@canonical.com>  Fri, 03 Apr 2009 11:27:57 -0400
