## update-manager 0.87.30netbook0belmont3.1

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3.1) hardy; urgency=low

  * debian/postinst: Ensure that dell-mini.list gets onto the
    filesystem (LP: #551232)

 -- Steve Magoun <steve.magoun@canonical.com>  Tue, 30 Mar 2010 09:48:18 -0400
