## update-manager 0.87.30netbook0belmont3.2

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3.2) hardy; urgency=low

  * debian/update-manager-core.postinst:
    - Rename from 'postinst'
    - Fix compare-versions test to account for update-manager epoch

 -- Steve Magoun <steve.magoun@canonical.com>  Tue, 30 Mar 2010 18:27:27 -0400
